package _06_for高级练习;

import java.util.Random;
import java.util.Scanner;

public class Test6 {
    public static void main(String[] args) {
        /**
         * 需求：
         *  程序自动生成一个1-100之间的随机数，在代码中使用键盘录入去猜出这个数字是多少？
         */
        // 1 生成一个1-100 随机数
        // 2 创建Scanner
        // 3 while(true)
        // 4 如果输入内容比随机数大 打印偏大  如果小就打印偏小 如果相同就打印猜中了
        Random random = new Random();
        // 0 - 99   1-100
        int randomNumber = random.nextInt(100) + 1;
        Scanner scanner = new Scanner(System.in);
        // while 循环
        while (true){
            System.out.println("请录入要猜数字");
            int random1 = scanner.nextInt();
            if(random1 == randomNumber){
                System.out.println("恭喜你猜中了");
                break;
            }else if(random1 > randomNumber){
                System.out.println("猜的数字偏大");
            }else if(random1 < randomNumber){
                System.out.println("猜的数字偏小");
            }
        }
    }
}
